unit UUSBRelayDev;
//John Whitham john@whitham.me.uk 12-08-2023
//john.whitham.me.uk/usbrelay.htm to check for updates
interface

  type
    p_usb_relay_device_info = ^t_usb_relay_device_info;
    t_usb_relay_device_info = record
      idstr: pansichar;
    end;

  function usb_relay_init(): integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_exit(): integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_enumerate(): p_usb_relay_device_info; cdecl;
    external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_next_dev(udi: p_usb_relay_device_info):
    p_usb_relay_device_info; cdecl; external 'USB_RELAY_DEVICE.dll'; //not tested
  function usb_relay_device_free_enumerate(udi: p_usb_relay_device_info):
    integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_lib_version(): integer; cdecl;
    external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_open_with_serial_number(serial_number: pansichar;
    len: integer): intptr; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_close(hhandle: intptr): integer;
    cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_open_all_relay_channel(hhandle: intptr): integer;
    cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_close_all_relay_channel(hhandle: intptr): integer;
    cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_open_one_relay_channel(hhandle: intptr;
    index: integer): integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_close_one_relay_channel(hhandle: intptr;
    index: integer): integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_get_num_relays(udi: p_usb_relay_device_info):
    integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_get_status(hhandle: intptr; var status: cardinal):
    integer; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_get_id_string(udi: p_usb_relay_device_info):
    pansichar; cdecl; external 'USB_RELAY_DEVICE.dll';
  function usb_relay_device_get_status_bitmap(hhandle: intptr): byte; cdecl;
     external 'USB_RELAY_DEVICE.dll';


implementation

end.
